Bug 104409 - Clear failed image loads when an <img> is adopted into a different document
Summary: Clear failed image loads when an <img> is adopted into a different document
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Adam Klein
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-07 16:00 PST by Adam Klein
Modified: 2013-01-03 15:23 PST (History)
6 users (show)

See Also:


Attachments
Patch (3.27 KB, patch)
2012-12-07 16:06 PST, Adam Klein
no flags Details | Formatted Diff | Diff
Patch (4.63 KB, patch)
2012-12-14 12:25 PST, Adam Klein
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Klein 2012-12-07 16:00:58 PST
Remove bogus assert from ImageLoader
Comment 1 Adam Klein 2012-12-07 16:06:46 PST
Created attachment 178298 [details]
Patch
Comment 2 Adam Klein 2012-12-07 16:07:45 PST
From reading the ways m_failedLoadURL is used, it seems like it's safe to just remove this assert, but I'm not at all an ImageLoader expert so I'm looking for help from the reviewer to decide if I need to do something other than remove the assert.
Comment 3 Darin Adler 2012-12-08 11:05:56 PST
Comment on attachment 178298 [details]
Patch

I think that the gist of this assertion is to say that the function doesn’t do what anything appropriate with the failed load URL, which the original programmer thought was OK because that can never happen. Removing the assertion is clearly OK, but I think that additional work, such as clearing m_failedLoadURL, may be needed.
Comment 4 Adam Klein 2012-12-10 10:21:50 PST
Clearing m_failedLoadURL seems reasonable in this case, and at worst will just cause a re-fetch, it looks like. Shall I just do that?
Comment 5 Adam Klein 2012-12-14 12:25:23 PST
Created attachment 179514 [details]
Patch
Comment 6 Adam Klein 2012-12-18 11:30:22 PST
Darin, can you take another look at this?
Comment 7 WebKit Review Bot 2013-01-03 11:53:45 PST
Comment on attachment 179514 [details]
Patch

Clearing flags on attachment: 179514

Committed r138724: <http://trac.webkit.org/changeset/138724>
Comment 8 WebKit Review Bot 2013-01-03 11:53:48 PST
All reviewed patches have been landed.  Closing bug.
Comment 10 Ryosuke Niwa 2013-01-03 15:23:26 PST
Filed https://bugs.webkit.org/show_bug.cgi?id=106051 to track the failure.